---
title: Navigator.webdriver
slug: Web/API/Navigator/webdriver
tags:
  - API
  - Navigator
  - Property
  - Reference
  - WebDriver
  - weblock
---
<div>{{SeeCompatTable}}{{APIRef("WebDriver")}}</div>

<p><span class="seoSummary">The <strong><code>webdriver</code></strong> read-only property of the {{domxref("navigator")}} interface indicates whether the user agent is controlled by automation. </span></p>

<p>It defines a standard way for co-operating user agents to inform the document that it is controlled by <a href="/en-US/docs/Web/WebDriver">WebDriver</a>, for example, so that alternate code paths can be triggered during automation.</p>

<p>The <code>navigator.</code><code>webdriver</code> property is true when in:</p>

<dl>
 <dt>Chrome</dt>
 <dd>The <code>--enable-automation</code> or the <code>--headless</code> flag or the <code>--remote-debugging-port</code> is used.</dd>
 <dt>Firefox</dt>
 <dd>The <code>marionette.enabled</code> preference or <code>--marionette</code> flag is passed.</dd>
</dl>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>isAutomated</var> = navigator.webdriver</pre>

<h3 id="Value">Value</h3>

<p>A {{JSxRef("Boolean")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebDriver","#dom-navigatorautomationinformation-webdriver","webdriver")}}</td>
   <td>{{Spec2("WebDriver")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Navigator.webdriver")}}</div>
